Name:           bootchart
Version:        0.9
Release:        %mkrel 7
Summary:        Boot Process Performance Visualization
License:        GPL
Url:            http://www.bootchart.org/
Source0:        http://www.bootchart.org/dist/SOURCES/%name-%version.tar.bz2
Source1:	bootchart.1
Source2:	bootchartd.1
Source3:	bootchartd.conf.5
# (fc) 0.9-6mdv upgrade bootchartd to latest svn release
Patch0:		bootchart-0.9-svn.patch
# (fc) 0.9-6mdv fix initrd support (rtp)
Patch1:		bootchart-0.9-initrd.patch
# (fc) 0.9-7mdv fix bootchart when root fs is readonly
Patch2:		bootchart-0.9-readonly.patch
# (fc) 0.9-7mdv detect ldm as a display manager
Patch3:		bootchart-0.9-ldm.patch
# (fc) 0.9-7mdv fix runlevel parsing in inittab
Patch4:		bootchart-0.9-fixrunlevel.patch
# (fc) 0.9-7mdv fix autostoplogger 
Patch5:		bootchart-0.9-autostoplogger.patch
# (fc) 0.9-7mdv enable process accounting
Patch6:		bootchart-0.9-accounting.patch
# (fc) 0.9-7mdv enable early_login detection on Mandriva
Patch7:		bootchart-0.9-early.patch
Group:          Monitoring
Requires:       jpackage-utils, jakarta-commons-cli, java
BuildRequires:  ant, java-rpmbuild jakarta-commons-cli
BuildArch:      noarch
BuildRoot:      %_tmppath/%name-%version-buildroot


%description
Bootchart is a tool for performance analysis and visualization of the GNU/Linux
boot process.  Resource utilization and process information are collected
during the boot process and can later be displayed in a PNG, SVG or EPS-encoded
chart.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Books/Computer books

%description javadoc
This is the java documentation for %{name}.

%package logger
Summary:        Boot logging script for %{name}
Group:          System/Kernel and hardware
Suggests:		psacct

%description logger
The boot logging script for %{name} cant be used through adding
"init=/sbin/bootchartd" to the kernel command line in GRUB or LILO boot menu.
It collects data about the boot process that can later be processed
by %name.

%prep
%setup -q
%patch0 -p1 -b .svn
%patch1 -p1 -b .initrd
%patch2 -p1 -b .readonly
%patch3 -p1 -b .ldm
%patch4 -p1 -b .runlevel
%patch5 -p1 -b .autostoplogger
%patch6 -p1 -b .accounting
%patch7 -p1 -b .early

%build
# Remove the bundled commons-cli
rm -rf lib/org/apache/commons/cli lib/org/apache/commons/lang
CLASSPATH=%{_javadir}/commons-cli.jar %ant

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -D -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# script
install -D -m 755 script/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# logger
install -D -m 755 script/bootchartd $RPM_BUILD_ROOT/sbin/bootchartd
install -D -m 644 script/bootchartd.conf $RPM_BUILD_ROOT/etc/bootchartd.conf
install -d -m 755 $RPM_BUILD_ROOT/mnt/bootchartd

# manpages
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_mandir}/man5/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,)
%doc ChangeLog COPYING INSTALL README TODO lib/LICENSE.cli.txt lib/LICENSE.compress.txt lib/LICENSE.epsgraphics.txt lib/NOTICE.txt
%{_javadir}/*
%dir %attr(0755,root,root) %{_bindir}/bootchart
%{_mandir}/man1/bootchart.1*

%files javadoc
%defattr(-,root,root,)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files logger
%defattr(-,root,root,)
%doc README.logger
/sbin/bootchartd
%config(noreplace) %_sysconfdir/bootchartd.conf
%dir /mnt/bootchartd
%{_mandir}/man*/bootchartd*


%changelog
* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.9-7mdv2009.1
+ Revision: 332531
- Update patch0, some files were missing
- Patch2: fix bootchart when rootfs is readonly
- Patch3: detect ldm as display manager
- Patch4: fix runlevel parsing in inittab
- Patch5: fix autostoplogger
- Patch6: enable process accouting
- Patch7: enable early_login detection on Mandriva

* Mon Oct 27 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9-6mdv2009.1
+ Revision: 297724
- Patch0 : upgrade bootchart to svn version (support for initrd)
- Patch1 (rtp): fix initrd support for Mandriva
- Add manpages from SVN
- Fix java build (akurtakov)

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-5mdv2009.0
+ Revision: 266339
- rebuild early 2009.0 package (before pixel changes)

* Tue May 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-4mdv2009.0
+ Revision: 211746
- suggests psacct
- renderer needs java
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0.9-3mdv2008.1
+ Revision: 120838
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Aug 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9-2mdv2008.0
+ Revision: 69057
- add builrequires jakarta-commons-cli
- rebuild
- Import bootchart



* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-1mdk
- Release 0.9

* Mon Aug 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8-1mdk
- initial release
